POST/shorts.v1alpha1.HousingService/GetDropIndexSeries

GetDropIndexSeries

Daily discounting index series (national/state/suburb) for the price-drops chart.

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object
fromstring

'YYYY-MM-DD', inclusive; clamped to 2026-08-13 (proto string)

grainstring

'national' | 'state' | 'suburb' (proto string)

grainKeystring

'AU' | state code | sal_code (proto string)

tostring

'YYYY-MM-DD', inclusive; defaults to today (proto string)

Responses

200Success
application/json
object
pointsarray

(proto shorts.v1alpha1.DropIndexPoint)

Array Items:
trackingSincestring

'YYYY-MM-DD' — earliest date the index exists for (proto string)

defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.HousingService/GetDropIndexSeries" \
  -H "Content-Type: application/json" \
  -d '{
  "from": "string",
  "grain": "string",
  "grainKey": "string",
  "to": "string"
}'